<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>

     <extension point="org.eclipse.ui.editors">
      <editor
         default="true"
         name="%EDITOR_COMPONENT_XML"
         icon="icons/componentxml.gif"
         filenames="component.xml"
         class="org.eclipse.wtp.releng.tools.component.ui.internal.editor.ComponentXMLEditor"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.editor.ComponentXMLEditor"
      />
   </extension>

   <extension point="org.eclipse.ui.popupMenus">
      <objectContribution
         objectClass="org.eclipse.core.resources.IFile"
         nameFilter="component.xml"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan">
         <menu
            label="%LABEL_POPUP_MENU_API"
            path="additions"
            id="org.eclipse.wtp.releng.tools.component.ui.popupMenu">
            <separator name="popupActions"/> 
         </menu>
         <action
            label="%LABEL_POPUP_ACTION_API_VIOLATION"
            class="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4APIViolation"
            menubarPath="org.eclipse.wtp.releng.tools.component.ui.popupMenu/popupActions"
            id="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4APIViolation"/> 
         <action
            label="%LABEL_POPUP_ACTION_SCAN_4_MISSING_JAVADOC"
            class="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4MissingJavadoc"
            menubarPath="org.eclipse.wtp.releng.tools.component.ui.popupMenu/popupActions"
            id="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4MissingJavadoc"/> 
		<action
            label="%LABEL_POPUP_ACTION_SCAN_4_NON_API_DEPS"
            class="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4NonAPIDependency"
            menubarPath="org.eclipse.wtp.releng.tools.component.ui.popupMenu/popupActions"
            id="org.eclipse.wtp.releng.tools.component.ui.internal.action.Scan4NonAPIDependency"/> 
      </objectContribution>
   </extension>

   <extension point="org.eclipse.ui.newWizards">
      <category id="org.eclipse.wtp.releng.tools.component.core" name="API"/>
      <wizard
         name="API Reference Report"
         icon="icons/componentxml.gif"
         category="org.eclipse.wtp.releng.tools.component.core"
         class="org.eclipse.wtp.releng.tools.component.ui.internal.wizard.APIRefCompatibilityWizard"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.wizard.APIRefCompatibilityWizard">
      </wizard>
   </extension>

   <extension point="org.eclipse.ui.popupMenus">
      <objectContribution
         objectClass="org.eclipse.core.resources.IProject"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.adopter">
         <menu
            label="%LABEL_POPUP_MENU_API"
            path="additions"
            id="org.eclipse.wtp.releng.tools.component.ui.popupMenu">
            <separator name="popupActions"/> 
         </menu>
         <action
            label="%LABEL_POPUP_ACTION_APPLY_NON_API_DEPRECATION_POLICY"
            class="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.action.Scan4APIRefCompatibility"
            menubarPath="org.eclipse.wtp.releng.tools.component.ui.popupMenu/popupActions"
            id="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.action.Scan4APIRefCompatibility"/> 
      </objectContribution>
   </extension>

   <extension point="org.eclipse.ui.preferencePages">
      <page
         name="%PREFERENCE_PAGE_USAGE_REPORT"
         class="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.preference.UsageReportsPrefPage"
         id="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.preference.UsageReportsPrefPage">
      </page>
   </extension>

   <extension point="org.eclipse.ui.views"> 
      <category
         id="org.eclipse.wtp.releng.tools.component.ui"
         name="%LABEL_CATEGORY_API"/>
      <view
         id="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.view.BreakageReportView"
         name="%LABEL_VIEW_BREAKAGE"
         category="org.eclipse.wtp.releng.tools.component.ui"
         class="org.eclipse.wtp.releng.tools.component.ui.internal.adopter.view.BreakageReportView"/>
</extension>

</plugin>